/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.server;

// Java imports

import org.objectweb.jonas_lib.JWorkManager;

/**
 */
public class WorkManagerMBean {

    private JWorkManager wm;

    /**
     * Construct MBean
     */
    public WorkManagerMBean(JWorkManager wm) {
        this.wm = wm;
    }

    /**
     * @return current pool size
     */
    public int getCurrentPoolSize() {
        return wm.getCurrentPoolSize();
    }

    /**
     * @return min pool size
     */
    public int getMinPoolSize() {
        return wm.getMinPoolSize();
    }

    /**
     * @return max pool size
     */
    public int getMaxPoolSize() {
        return wm.getMaxPoolSize();
    }

    /**
     * @param minsz min pool size
     */
    public void setMinPoolSize(int minsz) {
        wm.setMinPoolSize(minsz);
    }

    /**
     * @param maxsz max pool size
     */
    public void setMaxPoolSize(int maxsz) {
        wm.setMaxPoolSize(maxsz);
    }
}